# FHS: una introduzione

Il *Filesystem Hierarchy Standard* definisce un layout standard per il filesystem. É uno sforzo per standardizzare la struttura delle directory e il contenuto delle stesse nei sistemi Linux. Non é obbligatoria, ma viene seguita dalla maggior parte delle distribuzioni.

- `/`: é la directory principale, piú in alto nella gerarchia. Ogni altra directory si trova al suo interno
- `/bin`: binari essenziali
- `/boot`: file necessari al processo di avvio, come initrd e il kernel Linux stesso
- `/dev`: file di dispositivo
- `/etc`: file di configurazione
- `/home`: ogni utente ha una propria directory home
- `/lib`: librerie condivise
- `/media`: punto di mount dei supporti rimovibili montati dall'utente
- `/mnt`: punto di mount dei filesystem montati temporaneamente
- `/opt`: pacchetti software applicativi
- `/root`: directory home del superutente root
- `/sbin`: binari di sistema
- `/tmp`: file temporanei
- `/usr`: dati utente di sola lettura
- `/proc`: filesystem virtuale contenente dati relativi ai processi in esecuzione
- `/var`: dati variabili, scritti durante il funzionamento del sistema 
- `/var/tmp`: un'altra posizione per i file temporanei. In file qui archiviati, solitamente persistono al riavvio del sistema 
- `/run`: contiene i dati delle variabili di runtime utilizzato dai processi in esecuzione, come i file di identificazione di processo (*.pid*). Deve essere ripulita durante l'avvio del sistema


