# MAC-Address

L'indirizzo MAC, noto anche come *Physical Address* o *indirizzo layer 2* o *data-link address*, è l'identificativo univoco utilizzato per il trasferimento di dati all'interno di una rete locale (LAN). Esso viene utilizzato per indirizzare i pacchetti all'interno della rete, assicurando che vengano trasmessi all'host corretto.

## Caratteristiche principali

- Il MAC address è composto da 48 bit (6 byte). Ogni byte è rappresentato in formato esadecimale e i byte possono essere separati da trattini (`-`), punti (`.`) oppure due punti (`:`), a seconda della notazione adottata
- I primi 3 byte costituiscono l'**OUI** (Organizationally Unique Identifier), un codice standard che identifica il produttore della scheda di rete
- Gli ultimi 3 byte sono assegnati dal produttore e garantiti univoci per ogni dispositivo
- L'indirizzo MAC è fisso e direttamente integrato nella scheda di rete (NIC - network interface card)